{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load humanize %}

{% block title %}Revisión de documentos{% endblock %}

  {% block page %}
    <!-- begin breadcrumb -->
    <ol class="breadcrumb float-xl-right">
        <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
        <li class="breadcrumb-item active">Listado de Boletas</li>
      </ol>
      <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">Boletas <small>lista</small></h1>
  <!-- end page-header -->
 <!-- begin row -->
 <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Lista de Boletas</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div class="panel-body">
          {% if is_paginated %}
            <div style="text-align: center;">
              <span class="page-links">
                {% if page_obj.has_previous %}
                    <a class="btn btn-default" href="?page={{ page_obj.previous_page_number }}">«</a>
                {% endif %}
                <span class="page-current">
                    Página {{ page_obj.number }} de {{ page_obj.paginator.num_pages }}.
                </span>
                {% if page_obj.has_next %}
                    <a class="btn btn-default" href="?page={{ page_obj.next_page_number }}">»</a>
                {% endif %}
              </span>
            </div>
          {% endif %}

      <table id="invoice-list" class="table table-hover m-b-0 text-inverse">
        <thead>
          <tr>
            <th>ID</th>
            <th>Fecha</th>
            <th>Descripción</th>
            <th>Tipo</th>
            <th>Monto ($)</th>
            <th>Pagada</th>
            <th>Acciones</th>
          </tr>
        </thead>
        <tbody>
          {% for invoice in object_list %}
            <tr>
              <td>{{ invoice.pk }}</td>
              <td align="right">{{ invoice.created_at|date:"d-m-Y" }}</td>
              <td>{{ invoice.comment }}</td>
              <td>{{ invoice.get_kind_display }}</td>
              <td align="right">{{ invoice.total|intcomma }}</td>
              <td><strong>{{ invoice.paid|yesno:"Sí,No" }}</strong></td>
              <td>{% if invoice.paid %}<a href="{% url 'mark-as-unpaid' invoice.pk %}" class="btn btn-danger">Marcar como no pagada</a>{% else %}<a href="{% url 'mark-as-paid' invoice.pk %}" class="btn btn-success">Marcar como pagada</a>{% endif %}</td>
            </tr>
          {% endfor %}
        </tbody>
      </table>
      {% if is_paginated %}
        <div style="text-align: center;">
          <span class="page-links">
            {% if page_obj.has_previous %}
                <a class="btn btn-default" href="?page={{ page_obj.previous_page_number }}">«</a>
            {% endif %}
            <span class="page-current">
                Página {{ page_obj.number }} de {{ page_obj.paginator.num_pages }}.
            </span>
            {% if page_obj.has_next %}
                <a class="btn btn-default" href="?page={{ page_obj.next_page_number }}">»</a>
            {% endif %}
          </span>
        </div>
      {% endif %}

    </div>
    <!-- end panel-body -->
  </div>
  <!-- end panel -->
</div>
<!-- end col-12 -->
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}

  

{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("finances_menu").classList.add("active");
    //active submenu item
    document.getElementById("invoices_item").classList.add("active");
</script>
{% endblock %}
